# eric4.UI.AboutDialog

Module implementing an 'About Eric' dialog.

### Classes

__qtAboutDialog | Class implementing an 'About Eric' dialog (Qt variant).

### Functions

AboutDialog | Public function to instantiate an 'About Eric' dialog object.

## __qtAboutDialog

Class implementing an 'About Eric' dialog (Qt variant).

### Derived from

QDialog, Ui_AboutDialog

### Methods

__qtAboutDialog | Constructor

#### __qtAboutDialog (Constructor)

__qtAboutDialog(parent = None)

Constructor

parent
  reference to the parent widget (QWidget)

Up

## AboutDialog

AboutDialog(parent = None)

Public function to instantiate an 'About Eric' dialog object.

parent
  reference to the parent widget (QWidget)

Returns:
  reference to the 'About Eric' dialog dialog object

Up